<template>
  <div
      wire:loading
      :class="'fixed top-0 left-0 right-0 bottom-0 w-full h-screen z-50 overflow-hidden bg-gray-700 opacity-75 '+(load.loading ? 'flex' : 'hidden')+' flex-col items-center justify-center'">
    <div class="loader ease-linear rounded-full border-4 border-t-4 border-gray-200 h-12 w-12 mb-4"></div>
  </div>
</template>

<script>
export default {
  name: 'Loading',
  inject: ['load']
}
</script>

<style scoped>
.loader {
  border-top-color: #3498db !important;
  -webkit-animation: spinner 1.5s linear infinite !important;
  animation: spinner 1.5s linear infinite;
}

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

</style>
